Page MenuHomePhabricator

Experiment: Article as a living document
Closed, ResolvedPublic

Description

Pitch

Users can scrub a timeline to view article changes and meta information (editing history spark line); when you scrub to current time it live updates

User story

As a reader of Wikipedia, I would like to see how an article has changed over time so that I can better understand how Wikipedia articles evolve over time without being overwhelmed by too much granular information.


Proposed Design

While the goal will still be to have a visual approach to this experiment, one initial thought is to define what the important moments in article development are and to leverage those in the article view for a subset of popular (trending) or currently evolving articles.

Design details

For articles that are 'trending (eg. top read)' or 'in the news' consider additional treatments on the article view:

  • Highlight the time the article was last updated with specific call outs for 'significant' updates
  • Below the article infobox and/or first paragraph, add an interstitial card that highlights the last two 'significant' updates made to the article.
  • Tapping on an update to an article section would scroll to the updated text in the article
  • Tapping on an update to the talk page would open the talk page or an iOS specific presentation of the discussion (to be designed)
  • Tapping on read more would open a view where the user can browse significant updates to the article (to be designed)
  • Tapping on the username associated with an update would open the user's talk page in the app
Click through prototype

https://wikimedia.invisionapp.com/public/share/6B14P19UPR#/screens/477249182

Mocks (iPhone)
HeaderInterstitial cardRecent changes view
https://zpl.io/bzZD4PGhttps://zpl.io/bzZD4PGhttps://zpl.io/agJMwxQ
Mocks (iPad)
Portrait (no scroll)Portrait (scrolled)Landscape
https://zpl.io/aMORAl7https://zpl.io/brwLBz1https://zpl.io/VkjeqJG
Cell types

References

Single reference added in a single sectionMultiple references added to 2 sectionsMultiple references added to 3+ sections
https://zpl.io/aMORAl7https://zpl.io/brwLBz1https://zpl.io/VkjeqJG

Characters added or deleted

Characters added to a single sectionReverted vandalismCharacters removed in 1-2 sectionsCharacters removed in 3+ sectionsCharacters added and characters removed from a single section (snippet shows area of largest addition)

Misc

Multiple types of changesNew discussionSmall changesTitle description added or changed (EN wiki, via template)Title description added or changed (Wikidata)
Design details: Links + Buttons
Button or linkDestination
Editor nameUser page (web view)
ThankThank flow ( T259555 )
View changesHistory view scrolled to specific change - highlighted
View discussionTalk page (web view) -- ideally scrolled to discussion
Design details: Summary text
  • 'n' characters added and 'n' characters removed in the [section title] section
  • 'n' characters added and 'n' characters removed in the [section 1] and [section 2] sections
  • 'n' characters added and 'n' characters removed in 3 sections
  • 1 reference added in the [section title] section
  • 2 references added in the [section title] section
  • Multiple references added in the [section title] section
  • 2 references added in the [section 1] and [section 2] sections
  • Multiple references added in 3 sections
Design details: Ordering listing for multiple event cells
  1. References added
  2. References removed
  3. Characters added
  4. Characters removed

Related Objects

StatusSubtypeAssignedTask
Opencmadeo
ResolvedJMinor
ResolvedSpikeTsevener
ResolvedTsevener
ResolvedTsevener
ResolvedTsevener
ResolvedJMinor
ResolvedJMinor
ResolvedTsevener
ResolvedJMinor
ResolvedMattCleinman
ResolvedJMinor
ResolvedJMinor
ResolvedSNowick_WMF
ResolvedTsevener
ResolvedJMinor
ResolvedJMinor
ResolvedJMinor
ResolvedJMinor
ResolvedJMinor
OpenNone
Opencmadeo
ResolvedJMinor
ResolvedJMinor
OpenNone
OpenNone

Event Timeline

cmadeo renamed this task from Experiment one: Article as a living document to Experiment: Article as a living document.Dec 20 2019, 4:52 PM
cmadeo created this task.
LGoto triaged this task as Medium priority.Jan 6 2020, 7:56 PM
LGoto moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
cmadeo updated the task description. (Show Details)Mar 25 2020, 8:26 PM
cmadeo updated the task description. (Show Details)May 1 2020, 8:34 PM
cmadeo updated the task description. (Show Details)May 4 2020, 2:18 PM
cmadeo updated the task description. (Show Details)
cmadeo removed cmadeo as the assignee of this task.May 5 2020, 6:24 PM
cmadeo updated the task description. (Show Details)Aug 7 2020, 7:39 PM
cmadeo updated the task description. (Show Details)Aug 7 2020, 8:10 PM
cmadeo updated the task description. (Show Details)Aug 7 2020, 9:00 PM
cmadeo updated the task description. (Show Details)Aug 7 2020, 9:03 PM

Per sync - we won't be supporting the highlighted article content in the "Highlighted edit" mock functionality for v1.

LGoto raised the priority of this task from Medium to High.Sep 22 2020, 8:19 PM

@Tsevener re our meeting with Shay

For the interstitial card:
Multiple changes made in X sections
Multiple changes made in X section

@cmadeo Something I realized we never followed up on - we do have the ability to detect whether a significant change was made by a bot or not. The endpoint is already returning it and we're already processing it in the app, it's just a matter of adding the asset + view display code. Would you like to show a bot icon somewhere near the username on both the article content insert and the modal? If so, if you could make a quick mock that would be helpful. Thanks!

cmadeo added a comment.Oct 1 2020, 6:07 PM

@Tsevener oh awesome! Here are two mocks:

cmadeo updated the task description. (Show Details)Nov 10 2020, 9:19 PM

Note: removed the mock depicting highlight on tap as this was not included in the final feature.

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good aside from some minor issues listed elsewhere, ready for sign off on 6.7.3 (1786)

JMinor closed this task as Resolved.Dec 8 2020, 9:48 PM
JMinor claimed this task.
JMinor awarded a token.